export default i18n => ([
  {
    text: i18n('global.crudDataTable.header.purchaseDate'),
    value: 'purchaseDate',
    align: 'center',
    sortable: true,
  },
  {
    text: i18n('global.crudDataTable.header.category'),
    value: 'category',
    align: 'center',
    sortable: true,
  },
  {
    text: i18n('global.crudDataTable.header.paymentRecurrence'),
    value: 'paymentRecurrence',
    align: 'center',
    sortable: true,
  },
  {
    text: i18n('global.crudDataTable.header.paymentStatus'),
    value: 'paymentStatus',
    align: 'center',
    sortable: true,
  },
  {
    text: i18n('global.crudDataTable.header.paymentMethod'),
    value: 'paymentMethod',
    align: 'center',
    sortable: true,
  },
  {
    text: i18n('global.crudDataTable.header.companyNickname'),
    value: 'companyNickname',
    align: 'center',
    sortable: true,
  },
  {
    text: i18n('global.crudDataTable.header.description'),
    value: 'description',
    align: 'center',
    sortable: true,
    filterable: false,
  },
  {
    text: i18n('global.crudDataTable.header.numberOfInstallments'),
    value: 'numberOfInstallments',
    align: 'center',
    sortable: true,
  },
  {
    text: i18n('global.crudDataTable.header.installmentAmount'),
    value: 'installmentAmount',
    align: 'center',
    sortable: true,
  },
  {
    text: i18n('global.crudDataTable.header.amountsSum'),
    value: 'amountsSum',
    align: 'center',
    sortable: true,
  },
  {
    text: i18n('global.crudDataTable.header.createdAt'),
    value: 'createdAt',
    align: 'center',
    sortable: true,
    filterable: false,
  },
  {
    text: i18n('global.crudDataTable.header.updatedAt'),
    value: 'updatedAt',
    align: 'center',
    sortable: true,
    filterable: false,
  },
  {
    text: i18n('global.crudDataTable.header.actions'),
    value: 'actions',
    align: 'center',
    sortable: false,
    filterable: false,
  },
  {
    text: i18n('global.crudDataTable.header.viewAmounts'),
    value: 'data-table-expand',
    align: 'center',
    sortable: false,
    filterable: false,
  },
])
